AA-PIVOT(1)

NAME
aa-pivot - Pivot root directory

SYNOPSIS
aa-pivot [-D] NEWROOT OLDROOT

OPTIONS

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-h, --help
    Show help screen and exit.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-pivot(1) moves the root filesystem of the current process to OLDROOT and makes NEWROOT the new root filesystem. Since it simply calls pivot_root(2), refer to that man page for further details.

Note that aa-pivot(1) doesn't change directory nor chroots, so for proper use, you should first chdir into NEWROOT, call aa-pivot(1) and then chroot into the current directory, e.g. using aa-chroot(1). For example:

    cd NEWROOT
    aa-pivot . OLDROOT
    aa-chroot . COMMAND

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>